Bug 36636 - Wrong driver loaded
Wrong driver loaded
Product: Red Hat Linux
Classification: Retired
Component: kudzu (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2001-04-19 08:10 EDT by Alan Cox
Modified: 2014-03-16 22:20 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-05-03 11:36:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Alan Cox 2001-04-19 08:10:04 EDT
The kudzu code loads the megaraid driver when it sees the supertrsk100. The
megaraid code should be using a subvendorid list. In fact what I suspect
should have happened is

i960 ... humm, subid isnt known
class i2o .. ah load i2o_core, config, block, scsi, net

Bug 32082 now has a comprehensive list of subids attached
Comment 1 Bill Nottingham 2001-05-03 11:35:58 EDT
i960 is now 'unknown' as of 0.99-1.

Should we actively be trying to load i2o stuff for anything that claims
to be i2o, or is that not stable enough yet?
Comment 2 Alan Cox 2001-05-03 12:58:45 EDT
For the current -ac i2o should be solid for everything. There is one catch, some
boards provide both i2o and 'native' interfaces. Notably the AMI Megaraid, so
match on PCI idents, only take an unknown of class i2o through the i2o drivers

Note You need to log in before you can comment on or make changes to this bug.